
Auto Multiple Choice - Bug # 202: AMC on mac (macports 2.2.0) fails to run

Status: Closed Priority: Normal
Author: Jose Goicolea Category:
Created: 09/06/2013 Assignee:
Updated: 10/31/2014 Due date:
Description: My auto-multiple-choice was running smoothly but after the latest update of macports to version 2.2.0 it fails to 

run, with the following message:

> goico@airtrueno:~$ auto-multiple-choice
> Can't locate Module/Metadata.pm in @INC (@INC contains: 
/opt/local/lib/perl5/site_perl/5.12.4/darwin-thread-multi-2level /opt/local/lib/perl5/site_perl/5.12.4 
/opt/local/lib/perl5/vendor_perl/5.12.4/darwin-thread-multi-2level /opt/local/lib/perl5/vendor_perl/5.12.4 
/opt/local/lib/perl5/5.12.4/darwin-thread-multi-2level /opt/local/lib/perl5/5.12.4 /opt/local/lib/perl5/site_perl 
/opt/local/lib/perl5/vendor_perl/5.12.3 /opt/local/lib/perl5/vendor_perl .) at 
/opt/local/lib/perl5/vendor_perl/5.12.4/Module/Load/Conditional.pm line 14.
> BEGIN failed--compilation aborted at /opt/local/lib/perl5/vendor_perl/5.12.4/Module/Load/Conditional.pm line 
14.
> Compilation failed in require at /opt/local/lib/AMC/perl/AMC-gui.pl line 41.
> BEGIN failed--compilation aborted at /opt/local/lib/AMC/perl/AMC-gui.pl line 41.
> goico@airtrueno:~$ 

I can't make up what may be the problem. I'm running version 1.1.1 of auto-multiple-choice. Can anybody 
help?

History
09/06/2013 04:34 pm - Alexis Bienvenüe
- Status changed from New to Feedback

Check that @p5-module-metadata@ MacPorts package is installed.

09/06/2013 04:42 pm - Jose Goicolea
Perfect! I installed:

sudo port install p5.12-module-metadata

and auto-multiple-choice runs nicely again! Merci bien!

Alexis Bienvenüe wrote:
> Check that @p5-module-metadata@ MacPorts package is installed.

09/06/2013 04:59 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Resolved

Good!

04/24/2024 1/2



10/31/2014 07:13 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
